#!/bin/bash

DIR_LOG=/var/log # Directory dei log da svuotare

ROOT_UID=0
E_NONROOT=67
E_XCD=66

# Controllo se lo script è eseguito da utente root
if [ "$UID" -ne "$ROOT_UID" ]; then
	echo "Devi essere root per eseguire lo script"
	exit $E_NONROOT
fi

cd $DIR_LOG
echo $PWD
if [ "$PWD" != "$DIR_LOG" ]; then
	echo "Non riesco a cambiare directory in $DIR_LOG"
	exit $E_XCD
fi

tail messages > last-message # salva gli ultimi log

mv last-message messages     # spostiamo questi log ottenuti nel file di default per i log

cat /dev/null > messages

cat /dev/null > wtmp

echo "Log cancellati"

exit 0		# Il valore di ritorno zero da uno script indica che non vi sono stati errori


