#!/bin/bash

BLUE="\e[34m"
BLINK="\e[5m"
NC='\033[0m' # No Color

echo -e "${BLUE}                      __     __                 "
echo -e "${BLUE}   ___  ___  _______ / /__ _/ /    _  _____  ___"
echo -e "${BLUE}  / _ \/ _ \/ __(_-</ / _ '/ _ \  | |/ / _ \(_-<"
echo -e "${BLUE} /_//_/\___/\__/___/_/\_,_/_.__/  |___/ .__/___/"
echo -e "${BLUE}                                     /_/        "
echo -e " Visit $BLINK www.kibibit.net"

echo -e ${NC}
echo "System Information"
echo -e "Kernel:" 
uname -a  
echo -e "Load Average: ${LBLUE}" 
cat /proc/loadavg | awk '{print $1, $2, $3 }' 
echo -e "Disk info: ${LBLUE} " 
df -h
echo -e "RAM: ${LBLUE}" 
free -m | grep Mem: | awk '{ print $2 "MB Totali", $3 "MB Usati", $4 "MB Liberi" }' 
echo -e "Docker Containers: ${LBLUE}" 
docker ps -aq | wc -l 
echo -e "Containers Totali " 
docker ps -q | wc -l
echo


